CSV related tests fail with Rails 5.2.4
2019-11-28 10:36 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

22 CSV related tests fail with Rails 5.2.4.

Failure:
TimelogControllerTest#test_index_csv_all_projects [/Users/maeda/redmines/redmine-trunk/test/functi
onal/timelog_controller_test.rb:1386]:
Expected: "text/csv"
Actual: "text/csv; header=present"

bin/rails test test/functional/timelog_controller_test.rb:1382

diff --git a/Gemfile b/Gemfile

index ec61c6950..25da95c7e 100644

-—— a/Gemfile

+++ b/Gemfile

@@ -2,7 +2,7 Q@ source 'https://rubygems.org'

gem "bundler", ">= 1.5.0"

-gem "rails", "5.2.3"

+gem "rails", "5.2.4"

gem "rouge", "~> 3.13.0"
gem "request_store", "1.0.5"
gem "mini_mime", "~> 1.0.1"

Related issues:
Related to Redmine - Feature #32526: Update Rails to 5.2.4.1 Closed

Associated revisions

Revision 19344 - 2019-12-08 01:10 - Go MAEDA
CSV related tests fail with Rails 5.2.4 (#32526, #32525).

Patch by Go MAEDA.

Revision 19351 - 2019-12-10 05:00 - Go MAEDA
Merged r19344 from trunk to 4.1-stable (#32526, #32525).

Revision 19353 - 2019-12-10 05:36 - Go MAEDA
Merged r19344 from trunk to 4.0-stable (#32526, #32525).

History

#1 - 2019-11-28 10:40 - Go MAEDA
- Related to Feature #32526: Update Rails to 5.2.4.1 added

#2 - 2019-11-28 14:29 - Go MAEDA

We changed the tests to expect the content type as "text/csv" instead of "text/csv; header=present” in r18028 in order to follow the change
https://www.redmine.org/projects/redmine/repository/svn/revisions/18028

https://github.com/rails/rails/pull/35549, but the change in Rails was reverted by https:/github.com/rails/rails/pull/35706/files.

#3 - 2019-11-29 16:11 - Go MAEDA
- File 32525.patch added

The code after applying the attached patch supports both Rails 5.2.3 and Rails 5.2.4.

#4 - 2019-12-08 01:10 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed as a part of #32526.

Files

32525.patch 8.86 KB 2019-11-29 Go MAEDA
